var holdingStatus = {"0":"流通还回上架中","1":"编目","2":"在馆","3":"借出","4":"已赔书","5":"剔除","6":"交换","7":"赠送","8":"装订","9":"锁定","10":"预借","12":"清点","13":"闭架","14":"修补","15":"查找中","16":"馆内阅览","17":"宣称已还","18":"丢失","19":"采购中","20":"已罚款","21":"隐藏馆藏"};
var payment = {"0":"未支付","1":"已支付","2":"已取消"}
var libMap = { "301001": "萧山楼塔岩山小学流通站",
        "301002": "老年大学",
        "601001": "杭氧分馆",
        "1001001": "康复中心分馆",
        "zara": "古籍善本阅览室(馆内阅览)",
        "zbrj": "孤山路馆近代文献阅览室(馆内阅览)",
        "zbrp": "孤山路馆古籍阅览室(馆内阅览)",
        "test": "用于读者禁借ITEMB",
        "zbrr": "孤山路馆金石拓片阅览室(馆内阅览)",
        "zawt": "外文图书借阅室",
        "dqsk1": "德清书库中文期刊保存本（预约查询）",
        "dqsk2": "德清书库中文图书保存本（搬迁整理）",
        "chxfg": "开化县长虹乡分馆",
        "zswc": "文学馆外流通书库3",
        "zswb": "文学馆外流通书库2",
        "zswe": "文学馆外流通书库5",
        "zswd": "文学馆外流通书库4",
        "zswa": "文学馆外流通书库1",
        "zctx": "大学路书刊借阅室",
        "zqea": "杭州市第二社会福利院",
        "lx001": "兰溪中文外借",
        "zccx": "大学路现刊阅览室",
        "zcct": "大学路书库",
        "zccn": "大学路阅览室(馆内阅览)",
        "zccq": "大学路报刊库(馆内阅览)",
        "mccfg": "沐尘村分馆",
        "zacq": "港澳台及海外中文报刊查阅室(阅览)",
        "zacs": "中文社科图书借阅室",
        "zacm": "网络版数据库",
        "zacn": "中文报纸阅览室(馆内阅览)",
        "zawh": "外文过刊查阅室(馆内阅览)",
        "zacx": "中文现刊阅览室(馆内阅览)",
        "hdyyxs": "华东医药xs",
        "zacz": "中文自科图书借阅室",
        "hdyy": "华东医药",
        "zawn": "外文报刊阅览室(馆内阅览)",
        "zacw": "中文文学图书借阅室",
        "ztba": "中文报纸馆外流通库1",
        "ztbb": "中文报纸馆外流通库2",
        "zacc": "浙江省出版物样本收藏中心(德清书库搬迁整理)",
        "ztbc": "日文期刊馆外流通库1",
        "zacb": "中文现报刊保存本查阅室(阅览)",
        "ztbd": "西文报纸馆外流通库1",
        "ztbe": "西文报纸馆外流通库2",
        "szf001": "省政府",
        "ztbf": "西文报纸馆外流通库3",
        "kchs": "开采借还书",
        "zach": "中文过刊阅览室(馆内阅览)",
        "zama": "电子书阅读器",
        "yscfg": "於上村分馆",
        "zamb": "电子书阅读器（不可借）",
        "zacd": "地方文献阅览室(馆内阅览)",
        "bd94782": "94782部队",
        "zqdb": "舟山市虾峙镇流通站",
        "zqda": "缙云县图书馆流通站",
        "zbp": "孤山路馆家谱阅览室(馆内阅览)",
        "zsza": "自科馆外流通书库1",
        "zszb": "自科馆外流通书库2",
        "zszc": "自科馆外流通书库3",
        "zszd": "自科馆外流通书库4",
        "ysxx": "岩山中心小学分馆",
        "czt001": "财政厅图书借阅室",
        "zssf": "社科馆外流通书库6",
        "ztkd": "西文期刊馆外流通库1",
        "ztkc": "中文期刊馆外流通库3",
        "ztkb": "中文期刊馆外流通库2",
        "ztka": "中文期刊馆外流通库1",
        "zqca": "杭州市下城区稻香园社区",
        "zssb": "社科馆外流通书库2",
        "sgfg": "士官分校分馆",
        "bd73022": "73022部队",
        "zssc": "社科馆外流通书库3",
        "zssd": "社科馆外流通书库4",
        "ztkf": "西文期刊馆外流通库3",
        "zqcc": "杭州市西湖区沿山河社区",
        "zsse": "社科馆外流通书库5",
        "ztke": "西文期刊馆外流通库2",
        "zqcb": "杭州市拱墅区蚕花园社区",
        "zqce": "杭州市西湖区曲院社区",
        "zqcd": "杭州市上城区王马社区",
        "zqcg": "杭州市金色年华老人公寓",
        "zqcf": "杭州市下城区东新园社区",
        "zssa": "社科馆外流通书库1",
        "zqci": "杭州市下城区小营街道文化站",
        "xhfy": "西湖区法院分馆",
        "zqch": "舟山市定海区西园社区",
        "zqck": "杭州西湖区北山街道文化站",
        "zqcj": "杭州市下城区天水街道文化站",
        "zf": "永康分馆",
        "zg": "泰顺分馆",
        "zh": "松阳分馆",
        "zi": "长兴分馆",
        "zqam": "浙江省警卫局",
        "zd": "嘉业堂藏书楼(馆内阅览)",
        "zqaj": "解放军空勤疗养院",
        "zqak": "杭州市西湖区公安消防大队",
        "bd94637": "94637部队",
        "zab": "盲文图书馆",
        "zaa": "自修室",
        "zad": "德语资料中心(馆内阅览)",
        "zac": "中文现刊借阅室",
        "zazh": "中外文过报刊查阅室(馆内阅览)",
        "zaf": "古藉善本缩微文献阅览室(馆内阅览)",
        "zazg": "文献检索，工具书阅览室(馆内阅览)",
        "zae": "电子阅览室(馆内阅览)",
        "zqbb": "浙江省未成年人管教所",
        "zqba": "浙江省第四监狱",
        "zazb": "中外图书保存本查阅室(馆内阅览)",
        "zo": "江山分馆",
        "zn": "衢州分馆",
        "zq": "流通站",
        "zp": "南浔分馆",
        "zqbg": "浙江省看守所",
        "zk": "庆元分馆",
        "zqbf": "浙江省第三监狱",
        "zj": "嵊泗分馆",
        "zqbe": "浙江省乔司监狱",
        "zm": "开化分馆",
        "zqbd": "浙江省戒毒劳教所",
        "zl": "汽车图书馆",
        "zqbc": "浙江省第六监狱",
        "qyfg": "庆元分馆",
        "zbf": "孤山路馆缩微品阅览室(馆内阅览)",
        "zaj": "日本文库(馆内阅览)",
        "zag": "国外捐赠文献阅览室(馆内阅览)",
        "zqaa": "61085部队",
        "zah": "总服务台",
        "zam": "多媒体视听室",
        "zqag": "73023部队",
        "zazt": "中外图书闭架外借",
        "zqaf": "73813部队",
        "zqai": "73221部队",
        "zazv": "外借图书预约处",
        "zqah": "73025部队",
        "zqac": "73228部队",
        "zazy": "中外艺术图像书刊阅览室(馆内阅览)",
        "zqad": "73681部队",
         "101": "图书馆分馆",
        "201": "监狱分馆",
        "301": "学校分馆",
        "403": "省政府分馆",
        "501": "厅局机关分馆",
        "601": "企业分馆",
        "701": "军队分馆",
        "801": "社区村分馆",
        "999": "浙江图书馆检索平台",
        "1001": "社会福利",
        "101001": "兰溪分馆",
        "701002": "73022部队分馆",
        "zjlib": "浙江图书馆"
	}
var libcodeMap = {
	 "101": "图书馆分馆",
        "201": "监狱分馆",
        "301": "学校分馆",
        "403": "省政府分馆",
        "501": "厅局机关分馆",
        "601": "企业分馆",
        "701": "军队分馆",
        "801": "社区村分馆",
        "999": "浙江图书馆检索平台",
        "1001": "社会福利",
        "101001": "兰溪分馆",
        "701002": "73022部队分馆",
        "zjlib": "浙江图书馆"
	}
var state={
					"1":"有效",
					"2":"已打包",
					"3":"分馆未开通",
					"4":"超期可代还日期",
					"5":"信誉超期 默认分馆未开通",
					"6":"盒子包装号不能代还",
					"7":"文献流通类型不允许代还",
					"8":"馆藏地点不允许代还",
					"9":"限制使用的读者类型"
				};