function getHomeProduct() {
	var HomeProductUrl = ushuAddr + "api/" + unitcode + "/common/getHomeProduct";
	$.ajax({
		type: "get",
		url: HomeProductUrl,
		success: function(data) {
			var code = data.code;
			if(code == 0) {
				loadHomeProduct(data);
			}
		},
		error: function(textStatus, errorThrown) {}
	});
}

function getCatalog() {
	var CatalogUrl = ushuAddr + "api/" + unitcode + "/common/getCatalog";
	$.ajax({
		type: "get",
		url: CatalogUrl,
		success: function(data) {
			var code = data.code;
			if(code == 0) {
				loadCatalog(data);
				loadMenu(data);
			} else {
				mui.toast("服务器正在维护，请联系管理员!")
			}
		},
		error: function(textStatus, errorThrown) {
			mui.toast("请求失败");
		}
	});
}

function loadCatalog(data) {
	var result = data.result;
	var list = result.list;
	var length = list.length;
	var $ul = $("#fenleiul");
	for(var i = 0; i < list.length; i++) {
		var bean = list[i];
		var imgurl = "../img1/m" + bean.id + ".png";
		var $li = $ul.find(".template");
		var $liNode = $li.clone(true);
		$liNode.attr("key", bean.id);
		$liNode.attr("code", bean.code);
		$liNode.removeClass("template").addClass("temp");
		$liNode.find("span").html(bean.name);
		$liNode.find("img").attr("src", imgurl);
		if(i == 9) {
			$liNode.find("img").attr("src", "../img1/m0.png");
			$liNode.find("span").html("全部");
			$liNode.attr("key", "0");
			$ul.append($liNode);
			break;
		}
		$ul.append($liNode);
	}
	$("#fenleiprog").addClass("template");
}

function loadMenu(data) {
	var result = data.result;
	var list = result.list;
	var length = list.length;
	var $ul = $("#menuul");
	for(var i = 0; i < list.length; i++) {
		var bean = list[i];
		var $li = $ul.find(".template");
		var $liNode = $li.clone(true);
		$liNode.attr("key", bean.id);
		$liNode.attr("code", bean.code);
		$liNode.removeClass("template").addClass("temp");
		$liNode.find("a").html(bean.name);
		$ul.append($liNode);
	}
}

function loadHomeProduct(data) {
	var result = data.result;
	var list = result.list;
	var length = list.length;
	var $neirongquyu = $("#neirongquyu");
	for(var j = 0; j < list.length; j++) {
		var bean = list[j];
		var $neirongmokuai = $neirongquyu.find(".nonedisplay").clone();
		var $ul = $neirongmokuai.find("ul");
		var $title = $neirongmokuai.find(".tit-top-area h3");
		var $gengduo = $neirongmokuai.find(".tit-top-area .more-btn");

		var queryType = bean.queryType;
		var title = bean.title;
		var childlist = bean.productList;
		$title.html(title);
		$gengduo.attr("queryType", queryType);
		$gengduo.attr("title", title);

		for(var i = 0; i < childlist.length; i++) {
			if(i > 5) {
				break;
			}
			var author = childlist[i].author;
			var name = childlist[i].name;
			var bookprice = childlist[i].bookprice;
			var imag = imgurl + childlist[i].picture;
			var id = childlist[i].id;
			store.set(queryType + id, id); //给每个用li标签设置一个key，它的值是书籍类型加书籍id号，在书籍详情页面使用
			var $li = $ul.find(".template")
			var $liNode = $li.clone(true);
			$liNode.attr("key", queryType + id);
			$liNode.removeClass("template").addClass("temp");
			$liNode.find("h4").html(name);
			$liNode.find("span").html("¥" + bookprice);
			if(imag.length > 45) {
				$liNode.find("img").attr("src", imag);
			}
			$ul.append($liNode);
		}
		$neirongmokuai.removeClass("nonedisplay");
		$neirongquyu.append($neirongmokuai);

	}
	$neirongquyu.find(".mui-loading").addClass("template");
}

function getEncryptData() {
//	console.log(store.get("user"))
	if(store.get("user")) {
		var reader =$(String2XML(store.get("user")));
		var rdid = reader.find("rdid").text().trim();
		var CatalogUrl = ushuAddr + "api/" + unitcode + "/account/getEncryptData?rdid=" + rdid;
		$.ajax({
			type: "get",
			url: CatalogUrl,
			success: function(data) {
				var code = data.code;
				if(code == 0) {
					store.set("password", password);
					store.set("islogin", true);
					store.set("md5_rdid", data.result.rdid);
					store.set("md5_ticket", data.result.ticket);
					store.set("md5_libcode", data.result.libcode);
				}
			},
		});
	}else{
		store.set("islogin", false);
	}
}