function getKucun() {
	var producturl = ushuAddr + "api/" + unitcode + "/product/getStockFromJd?skuId=" + product.skuid +
		"&jdcatalog2=" + product.jdcatalog2 + "&jdcatalog3=" + product.jdcatalog3+"&seller="+product.fromBookseller;
	$.ajax({
		type: "post",
		url: producturl,
		dataType: "json",
		success: function(data) {
			data = data.result;
			if(!data || (data.stockStateId != 33 &&
					data.stockStateId != 39 &&
					data.stockStateId != 40)) {
				setting();
				buymsg("此商品暂时缺货,请选择其他商品!");
			} else {
				if(data.jdstock && data.jdstock.stock &&
					data.jdstock.stock.promiseResult) {
					var promiseResult = data.jdstock.stock.promiseResult;
					$("#time").html(promiseResult);
				} else {
					$("#time").html("无");
				}
			}

		},
		error: function(textStatus, errorThrown) {
			mui.toast("获取库存失败");
		}
	});
}

function getProduct() {
	store.set(bookDetailedString, null);
	var producturl = ushuAddr + "api/" + unitcode + "/product/" + bookId;
	var nwaitings = plus.nativeUI.showWaiting("加载中，请等待...", {padlock:true});//显示原生等待框
	$.ajax({
		type: "get",
		url: producturl,
		success: function(data) {
			product = new bookProduct(data); //创建一个对象
			loadProduct(product); //装载数据
			panduan();
			nwaitings.close();

			if(product.isOverHoldingCount == 0 && product.isNotUnitCatalog == 0 && product.status != 3) {
				getKucun();
			}

		},
		error: function(textStatus, errorThrown) {
			nwaitings.close();
			mui.toast("请求失败，请检查网络是否可用");
		}
	});
}

function loadProduct(temp) {
	$("#picture").attr("src", temp.picture);
	if(temp.images.length < 50) {
		$("#images").remove();
		control(false);
	} else {
		var imges = temp.images.split(",");
		imges = imges[1];
		$("#images").attr("src", store.get("imgurl")+imges);
		control(true);
	}
	
	$("#title").html(temp.name);
	$("#name").html(temp.name);
	$("#author").html(temp.author);
	$("#authorDesc").html(temp.authorDesc);
	$("#publishers").html(temp.publishers);
	$("#isbn").html(temp.isbn);
	$("#bookprice").html(temp.bookprice);
	$("#productDesc").html(temp.productDesc);

	$(".now-buy").css("background-color", "#FF9102");
	$(".add-car").css("background-color", "#DD4814");

	mui('.op-area-btn').on('tap', '.now-buy', function() {

		if(islogin) {
			//	setting();
			var dingdanArrya = store.get(dingdanList);
			if(dingdanArrya == null) {
				dingdanArrya = new Array();
			}
			dingdanArrya.push(product);
			store.set(dingdanList, dingdanArrya);
			openConfirmorder();
		} else {
			openLogin();
		}

	})

	mui('.op-area-btn').on('tap', '.add-car', function() {

		if(product.isOverHoldingCount == 0) {
			if(bookProductArray != null) {
				bookProductArray.splice(0, 0, temp);

			} else {
				bookProductArray = new Array();
				bookProductArray.push(temp);
			}

			setting();
			mui.alert("《" + temp.name + "》成功加入购物车", "信阅服务", "确定", function() {});
			store.set(bookProductList, bookProductArray);
			setShopCarNumb();
			try{
				plus.webview.getWebviewById("index").evalJS("setShopCarNumb()");
			}catch(e){
				//TODO handle the exception
			}

		} else if(product.isOverHoldingCount == -1) {
			setting();
			mui.alert("业务系统繁忙，请联系管理员解决", "信阅服务", "确定", function() {});

		}
	})

	if(product.isNotUnitCatalog == 0 && product.isOverHoldingCount == 0) {
		$(".nocan").css("display", "none");
	} else {

		$(".canby").css("display", "none");
		setting();

	}

}

function panduan() {
	/*	console.log(product.isOverHoldingCount);
		console.log(product.isNotUnitCatalog);
		product.isNotUnitCatalog = 1;*/
	if(incar == false) {
		if(product.isOverHoldingCount != 1 && product.isNotUnitCatalog != 1) {
			if(product.status == 3) {
				//	setting();
				buymsg("抱歉,此商品已下架");
			}

		} else {
			if(product.isOverHoldingCount == 1) {
				mui.alert("抱歉,该书已超过图书馆采购复本数量限制,是否链接到馆藏", "信阅服务", "确定", function() {

				});
			} else if(product.isNotUnitCatalog == 1) {
				var btnArray = ['否', '是'];
				mui.confirm('很抱歉,本书不在图书馆采购范围内，是否对本书荐购?', '信阅服务', btnArray, function(e) {
					if(e.index == 1) {
						if(islogin) {
							jiangou();
						} else {
							mui.toast("图书荐购需要先登录");
							openLogin();
						}
					}
				})

			} else {
				buymsg("很抱歉,当前业务系统繁忙，无法进行操作! ");
			}
		}
	} else {
		setting();
	}
}

function buymsg(message) {

	mui.alert(message, "信阅服务", "确定", function() {});
}

function control(auto) {
	TouchSlide({
		slideCell: "#focus",
		titCell: ".hd ul", //开启自动分页 autoPage:true ，此时设置 titCell 为导航元素包裹层
		mainCell: ".bd ul",
		autoPlay: auto, //                     autoPlay:true,//自动播放
		autoPage: auto, //自动分页
		endFun: function(i, c) {

			var imgNum = document.getElementById('img-num');
			imgNum.innerHTML = i + 1 + '/' + c;
		}
	});

}

//定义一个产品类
function bookProduct(data) {
	var product = data.result.product;
	this.picture = imgurl + product.picture; //第一张图片
	this.images = imgurl + product.images; //第二张图片
	this.name = product.name; //书名
	this.authorDesc = product.authorDescHTML; //作者简介
	this.bookprice = product.bookprice; //价格
	this.isNotUnitCatalog = data.result.isNotUnitCatalog; // 0/可购买 1/不可购买
	this.author = product.author; //作者
	this.publishers = product.publishers; //出版
	this.isbn = product.isbn;
	this.productDesc = product.productHTML; //书籍简介
	this.id = product.id; //书籍id
	this.status = product.status;
	this.skuid = product.jdSkuId;
	this.jdcatalog2 = product.jdcatalog2;
	this.jdcatalog3 = product.jdcatalog3;
	this.fromBookseller = product.fromBookseller;
	this.isNotUnitCatalog = data.result.isNotUnitCatalog;
	this.isOverHoldingCount = data.result.isOverHoldingCount;
}

function setting() {
	$(".now-buy").css("background-color", "#B3B3B3");
	$(".add-car").css("background-color", "#B3B3B3");
	mui('.op-area-btn').off('tap', '.add-car');
	mui('.op-area-btn').off('tap', '.now-buy');
}

function jiangou() {

		var jiangouUrl = ushuAddr + "api/" + unitcode + "/product/addToCustomer?rdid=" + md5_rdid + "&libcode=" + md5_libcode + "&ticket=" + md5_ticket+"&ProductID="+bookId;
		$.ajax({
			type: "post",
			url: jiangouUrl,
			success: function(data) {
		     var code =  data.code;
		     if( code ==0)
		     {
		     	mui.toast("书籍ID为"+bookName+"荐购成功!");
		     }else if(code ==1)
		     {
		     	mui.toast(data.errorMsg);
		     }
			},
			error: function(textStatus, errorThrown) {
				mui.toast("荐购失败，请检查网络是否可用");
			}
		});

}