function addLocationMarker(bean){
	var icon,beanType;
	if(bean.unitType == "1"){// 馆地点
		icon = "http://webapi.amap.com/images/0.png";
		beanType = "馆藏点";
	}
	if(bean.unitType == "2"){// E管家地点
		icon = "http://webapi.amap.com/images/0.png";
		beanType = "E管家";
	}
//	var center = {lng: 113.25321, lat: 23.252877}, 
	var locationMarker = new AMap.Marker({
			map: mapObj,
			position: new AMap.LngLat(bean.longitude, bean.latitude),
			icon: icon,
			offset: {x:-10,y:-34} 
		});
		
	AMap.event.addListener(locationMarker,'click',function(e){
		var nowLocation = tool.getLocation();
		var nowLoc;
		if(nowLocation == 'undefined'||nowLocation == ''||!nowLocation) {
			nowLoc = longitude+","+latitude;
			var infoWindowS = new AMap.InfoWindow({
				content : "<font color=\"#00a6ac\">&nbsp;&nbsp;"+ bean.libraryName +"</font>"+
					 localTipContents(bean.libraryName, bean.address, bean.holdingLocationName,bean.clusterName)+"<br /><input id='activity' type=\"button\" value=\"交通导航\" text=\"{'lat':'" +locationMarker.getPosition()+"','libraryName':'"+bean.libraryName+"','nowLoc':'"+ nowLoc +"'}\" onclick=\"activity()\"/>",
				size : new AMap.Size(250, 0), //设置信息窗口大小
				autoMove : true
			});
			infoWindowS.open(mapObj, locationMarker.getPosition());
			return;
		}else{
			nowLoc = nowLocation.lng+","+nowLocation.lat;
			var infoWindowS = new AMap.InfoWindow({
				content : "<font color=\"#00a6ac\">&nbsp;&nbsp;"+ bean.libraryName +"</font>"+
					 localTipContents(bean.libraryName, bean.address, bean.holdingLocationName,bean.clusterName)+"<br /><input id='activity' type=\"button\" value=\"交通导航\" text=\"{'lat':'" +locationMarker.getPosition()+"','libraryName':'"+bean.libraryName+"','nowLoc':'"+ nowLoc +"'}\" onclick=\"activity()\"/>",
				size : new AMap.Size(250, 0), //设置信息窗口大小
				autoMove : true
			});
			infoWindowS.open(mapObj, locationMarker.getPosition());
			return;
		}
	});
}

function getLocation(){
	var nowLocaltion = tool.getLocation();
	if(typeof nowLocaltion == 'undefined') {
		mui.toast("还未定位到您当前的位置，请稍后重试！");	
		return;
	}
	$.ajax({
		type: "POST",
		url: globalConfig.getLocationUrl,
		data: {
			globalLibraryCode:"P1ZJ0571017",
			latitude : nowLocaltion.lat,
			longitude : nowLocaltion.lng,
			unitType : '-1'
		},
		dataType: "json",
		success: function(msg){
			locationBeans = msg.list;
			$.each(locationBeans,function(index,bean){
				if(index==0) {
					mapObj.setZoomAndCenter(14,new AMap.LngLat(bean.longitude, bean.latitude));
				}
				addLocationMarker(bean);
			});
   		}
	});
}

var globalConfig = {};
function initGlobalConfig(config) {
	globalConfig = config;
}

/** 显示content */
function showContentDiv() {
	$("#content").show();
}
/** 隐藏content  */
function hideContentDiv() {
	$("#content").hide();
}
/** 显示导航条  */
function showNavigationDiv(){
	$("#navigationDiv").show();
}
/** 隐藏导航条  */
function hideNavigationDiv(){
	$("#navigationDiv").hide();
}

/** 查询某关键字的馆地点  */
getLocationByAreaName = function(globalLibraryCode,areaName) {
	if(areaName=="" || $.trim(areaName)=="") {
		mui.toast("请输入查询的馆名称!");	return;
	}
	$.ajax({
		type: "POST",
		url: globalConfig.getLocationByAreaName,
		data: {
			globalLibraryCode:globalLibraryCode,
			areaName : $.trim(areaName),
			unitType : '-1'
		},
		dataType: "json",
		success: function(msg){
			locationBeans = msg.list;
			if(locationBeans.length == 0) {
				mui.toast("找不到名字包含[" +areaName +"]的文化馆!");	return ;
			}
			$.each(locationBeans,function(index,bean){
				if(index==0) {
					mapObj.setZoomAndCenter(14,new AMap.LngLat(bean.longitude, bean.latitude));
				}
				addLocationMarker(bean);
			});
   		}
	});	
}
function localTipContents(name, address,type,phone) {
	if (type == "" || type == "undefined" || type == null || type == " undefined" || typeof type == "undefined") {
		type = "暂无";
	}
	if (address == "" || address == "undefined" || address == null || address == " undefined" || typeof address == "undefined") {
		address = "暂无";
	}
	if (name == "" || name == "undefined" || name == null || name == " undefined" || typeof name == "undefined") {
		name = "暂无";
	}
	if (phone == "" || phone == "undefined" || phone == null || phone == " undefined" || typeof phone == "undefined") {
		phone = "暂无";
	}
	var str = "<br />名称：" + name + "<br />地址：" + address + " <br />开放时间：" + type + " <br />联系方式：" + phone;
	return str;
}
