function Search() {
	this.searchType = "b";//s：公交线路 r:驾车线路 

	this.type = "s";
	//起始点
	this.cityname = "";
	this.start_x = "";
	this.start_y = "";
	this.start_name = "";
	this.start_address = "";
	this.start_tel = "";
	this.start_pid = "";
	this.start_citycode = "";
	this.start_cityname = "";
	this.start_detailLink = "";
	this.start_type = "";

	this.end_x = "";
	this.end_y = "";
	this.end_name = "";
	this.end_address = "";
	this.end_tel = "";
	this.end_pid = "";
	this.end_citycode = "";
	this.end_cityname = "";
	this.end_detailLink = "";
	this.end_type = "";
	this.x_array;
	this.y_array;
	this.x_c_array;
	this.y_c_array;
	this.xy_array;
	this.xy_c_array;
	this.start_marker;
	this.end_marker;
	this.line;
	this.current_section;
}

var searchInfo = new Search();

function trafficBusTo(end_X,end_Y){
	searchInfo.searchType = "b";
	var nowLocaltion = tool.getLocation();
	changeSearchXY(nowLocaltion.lng,nowLocaltion.lat,end_X,end_Y);
}

function trafficRouteTo(end_X,end_Y){
	searchInfo.searchType = "r";
	var nowLocaltion = tool.getLocation();
	changeSearchXY(nowLocaltion.lng,nowLocaltion.lat,end_X,end_Y);
}

function indexBusSearch(){
	busSearch(document.getElementById("city").value,
		document.getElementById("keyword").value,
		document.getElementById("keyword1").value);
}

function busSearch(city,start,end){
	searchInfo.searchType = "b";
	keywordSearch(city,start,end);
}

function indexRouteSearch(){
	routeSearch(document.getElementById("city").value,
		document.getElementById("keyword").value,
		document.getElementById("keyword1").value);
}

function routeSearch(city,start,end){
	searchInfo.searchType = "r";
	keywordSearch(city,start,end);
}

function keywordSearch(city,start,end) {
   	mapObj.clearMap()
	searchInfo.cityname = city;
	searchInfo.start_name = start;
	searchInfo.end_name = end;
	var i = 1;
	var che = "";
	if (searchInfo.cityname == "") {
		che += i + "．请您输入城市<br />";
		i = i + 1;
	}
	if (searchInfo.start_name == "") {
		che += i + "．请您输入起点<br />";
		i = i + 1;
	}
	if (searchInfo.end_name == "") {
		che += i + "．请您输入终点<br />";
		i = i + 1;
	}
	if (i == 1) {
		searchInfo.type = "s";
		poi_search(searchInfo.cityname, searchInfo.start_name);
	} else {
		showToast(che);
	}
}

function poi_search(city, keywords) {
	var PoiSearchOption = {
		number : 10, //每页数量
		batch : 1//请求页数
	};
	var MSearch = new AMap.PoiSearch(PoiSearchOption);
	MSearch.byKeywords(keywords, city, poi_search_CallBack);
}

function poi_search_CallBack(data) {
	if (searchInfo.type == "s") {
		if (data.list == null) {
			showToast("起点未查找到任何结果!<br />建议：<br />1.请确保所有字词拼写正确。<br />2.尝试不同的关键字。<br />3.尝试更宽泛的关键字。");
		} else {
			searchInfo.start_x = data.list[0].x;
			searchInfo.start_y = data.list[0].y;
			searchInfo.start_name = data.list[0].name;
			searchInfo.start_address = data.list[0].address;
			searchInfo.start_tel = data.list[0].tel;
			searchInfo.start_type = data.list[0].type;
			searchInfo.start_pid = data.list[0].pguid;
			searchInfo.start_citycode = data.list[0].citycode;
			change_EndSearch();
		}
	} else if (searchInfo.type == "e") {

		if (data.status == "E1") {
			showToast("终点未查找到任何结果!<br />建议：<br />1.请确保所有字词拼写正确。<br />2.尝试不同的关键字。<br />3.尝试更宽泛的关键字。");
		} else {
			searchInfo.end_x = data.list[0].x;
			searchInfo.end_y = data.list[0].y;
			searchInfo.end_name = data.list[0].name;
			searchInfo.end_address = data.list[0].address;
			searchInfo.end_tel = data.list[0].tel;
			searchInfo.end_type = data.list[0].type;
			searchInfo.end_pid = data.list[0].pguid;
			searchInfo.end_citycode = data.list[0].citycode;
			var startXY = new AMap.LngLat(searchInfo.start_x, searchInfo.start_y);
			var endXY = new AMap.LngLat(searchInfo.end_x, searchInfo.end_y);
			changeSearchXY(searchInfo.start_x,searchInfo.start_y,searchInfo.end_x,searchInfo.end_y);
		}
	}

}

function change_EndSearch() {

	searchInfo.type = "e";
	poi_search(searchInfo.cityname, searchInfo.end_name);

}

function changeSearchXY(startX,startY,endX,endY) {
	searchInfo.start_x = startX; 
	searchInfo.start_y = startY;
	searchInfo.end_x = endX;
	searchInfo.end_y = endY;
	var startXY = new AMap.LngLat(searchInfo.start_x, searchInfo.start_y);
	var endXY = new AMap.LngLat(searchInfo.end_x, searchInfo.end_y);
	
	var arr = new Array();
	//经纬度坐标数组
	arr.push(startXY);
	arr.push(endXY);
	
	if(searchInfo.searchType == "b"){
		var mrs = new AMap.BusSearch(BusSearchOption);
		var BusSearchOption = {
			per : 100, //抽稀参数
			batch : 1, //当前页码
			number : 10//每页数量
		};
		
		var bus = new AMap.BusSearch(BusSearchOption);
		mrs.byTwoPoi(arr, searchInfo.cityname, busChangeSearchXY_CallBack);
	}
	if(searchInfo.searchType == "r"){
		var routeSearchOption = {
			routeType: 1
		};
		var routeSearch = new AMap.RouteSearch(routeSearchOption);
		routeSearch.getNaviPath(arr, routeChangeSearchXY_CallBack);
	}

}

function busChangeSearchXY_CallBack(data) {
	console.log(data);
	searchInfo.xy_array = new Array();
	searchInfo.xy_c_array = new Array();
	var resultStr = "";
	if (data.status == "E0") {
		var bus_content = new Array();
		var bus_count = data.list.length;
		bus_content.push("<table width=\"340\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><tr><td colspan=\"2\" style=\"background:#e1e1e1;\">　线路</td><td width=\"181\" style=\" border-left:1px solid #fff; background:#e1e1e1;\">　乘车方案</td><td width=\"80\" style=\" border-left:1px solid #fff; background:#e1e1e1;\">　估计车程</td><td width=\"15\" style=\" background:#e1e1e1;\">&nbsp;</td></tr><tr><td colspan=\"5\">");
		for (var i = 0; i < bus_count; i++) {
			bus_content.push("<table width=\"350\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">");
			var bus_length = 0;
			var bus_name = "";
			var busxy = "";
			var busCHxy = "";
			var str_list = data.list[i].segmentList.length;
			//每次线路的换乘次数.
			var bus_text = "<tr style=\"background:#efefef;\"><td width=\"42\" align=\"center\"><img src=\"http://webapi.amap.com/images/start.gif\" /></td><td colspan=\"3\">起点 " + data.list[i].segmentList[0].startName + "</td><td>&nbsp;</td></tr>";
			for (var k = 0; k < str_list; k++) {
				if (k == (str_list - 1)) {
					bus_name += (data.list[i].segmentList[k].busName).split("(")[0];
				} else {
					bus_name += (data.list[i].segmentList[k].busName).split("(")[0] + " <img src=\"http://webapi.amap.com/images/supermap_arrow3.gif\" /> ";
				}//得到公交车名称.
				var passDepotName = (data.list[i].segmentList[k].passDepotName).split(" ");
				//对途经站点名称进行分隔.
				var passDepotNum = passDepotName.length + 1;

				bus_text += "<tr><td>&nbsp;</td><td colspan=\"2\">步行" + Getdistance(data.list[i].segmentList[k].footLength) + "到车站</td><td align=\"center\"><span style=\"color:#004a80;\">" + passDepotNum + "站</span></td><td>&nbsp;</td></tr><tr><td style=\" border-bottom:none;\">&nbsp;</td><td colspan=\"3\" style=\" border-bottom:none;\">" + data.list[i].segmentList[k].busName + "</td><td style=\" border-bottom:none;\">&nbsp;</td></tr><tr><td>&nbsp;</td><td colspan=\"3\"><span class=\"gray\">在</span>　" + data.list[i].segmentList[k].startName + " <span class=\"gray\">上车</span>　<br />    <span class=\"gray\">在　</span>" + data.list[i].segmentList[k].endName + "　<span class=\"gray\">下车</span></td><td>&nbsp;</td></tr>";
				if (k == 0) {
					var xy = (data.list[i].segmentList[k].coordinateList).split(";");
					busCHxy += xy[xy.length - 1] + ";";
				} else if ((k + 1) != str_list) {
					var xy = (data.list[i].segmentList[k].coordinateList).split(";");
					busCHxy += xy[0] + ";" + xy[xy.length - 1] + ";";
				} else {
					var xy = (data.list[i].segmentList[k].coordinateList).split(";");
					busCHxy += xy[0] + ";";
				}
				busxy += data.list[i].segmentList[k].coordinateList + ";";
				if (str_list == 1) {
					busCHxy = "";
				}//如果换乘次数为"1",没有换乘XY.此次线路可以直达.
				bus_length += parseInt(data.list[i].segmentList[k].driverLength);
				//每条线路车程
			}
			searchInfo.xy_c_array[i] = busCHxy;
			searchInfo.xy_array[i] = busxy;
			bus_content.push("<tr onclick=\"drawBuschangeLine('" + i + "')\" style=\"cursor:pointer; background-color: blue;\"><td colspan=\"3\" class=\"change_blue\">" + bus_name + "</td><td class=\"change_blue\">" + Getdistance(bus_length) + "</td><td class=\"change_blue\">&nbsp;</td></tr>" + bus_text + "<tr><td>&nbsp;</td><td colspan=\"3\">步行" + Getdistance(data.list[i].footEndLength) + "到终点<br /></td><td>&nbsp;</td></tr><tr style=\"background:#efefef;\"><td align=\"center\"><img src=\"http://webapi.amap.com/images/end.gif\" /></td><td colspan=\"3\">终点 " + data.list[i].segmentList[str_list - 1].endName + "</td><td>&nbsp;</td></tr></table>");
			bus_content.push("<div style=\"height:0px;width:100%; line-height:0px;\"></div>");
		}
		bus_content.push("</td></tr></table>");
		resultStr = bus_content.join("");
		drawBuschangeLine('0');
	} else if (data.status == "E1") {
		resultStr = "未查找到任何结果!<br />建议：<br />1.请确保所有字词拼写正确。<br />2.尝试不同的关键字。<br />3.尝试更宽泛的关键字。";

	} else {
		resultStr = "错误信息：" + data.state + "请对照API Server v2.0.0 简明提示码对照表查找错误类型!";
	}
	document.getElementById("content").innerHTML = resultStr;
	mapObj.setFitView();
}

function routeChangeSearchXY_CallBack(data) {

	var resultStr = "";
	var route_count = data.count;
	var road_length = 0;
	if (data.status == "E0") {

		var overlays = ['start_marker', 'end_marker', 'line', 'current_section'];
		for (var i = 0; i < overlays.length; i++) {
			if (searchInfo[overlays[i]]) {
				searchInfo[overlays[i]].setMap(null);
				searchInfo[overlays[i]] = null;
			}
		}

		var route_text = "";
		var route_length = "";
		var route_content = new Array();
		searchInfo.xy_array = new Array();
		var arr = new Array();
		for (var i = 0; i < route_count; i++) {

			searchInfo.xy_array[i] = data.list[i].coor; //每条线路的坐标

			if (i == 0) {
				route_text += "<tr id=\"tr_" + i + "\" onMouseover=\"driveLineDrawFoldline('" + i + "','" + route_count + "')\"  onMouseout=\"this.style.backgroundColor='';\" onclick=\"driveLineDrawFoldline_click('" + i + "','" + route_count + "')\"><td align=\"left\">" + (i + 1) + ". " + "<span class=\"gray\">沿</span><strong>" + data.list[i].roadName + "</strong>向<strong>" + data.list[i].direction + "</strong><span class=\"gray\">行驶</span>" + " " + data.list[i].roadLength + "</td></tr>";
			} else {
				route_text += "<tr id=\"tr_" + i + "\" onMouseover=\"driveLineDrawFoldline('" + i + "','" + route_count + "')\"  onMouseout=\"this.style.backgroundColor='';\" onclick=\"driveLineDrawFoldline_click('" + i + "','" + route_count + "')\"><td align=\"left\">" + (i + 1) + ". " + "<strong>" + data.list[i - 1].action + "</strong>" + "<span class=\"gray\">进入</span><strong>" + data.list[i].roadName + "</strong>向<strong>" + data.list[i].direction + "</strong><span class=\"gray\">行驶</span>" + " " + data.list[i].roadLength + " " + "</td></tr>";
			}

			var allover = new Array();

			var poi_xy_r = data.list[i].coor.split(";");

			for (var j = 0; j < poi_xy_r.length; j++) {
				var arr_lnglat = new Array();
				arr_lnglat = poi_xy_r[j].split(",");
				arr.push(new AMap.LngLat(arr_lnglat[0], arr_lnglat[1]));
			}
		}

		searchInfo.line = new AMap.Polyline({
			map: mapObj,
			path: arr,
			strokeColor: "#003366",
			strokeOpacity: 0.8,
			strokeWeight: 4,
			strokeDasharray: [10, 5]
		});

		var start = new AMap.LngLat(searchInfo.start_x, searchInfo.start_y);

		searchInfo.start_marker = new AMap.Marker({
			map: mapObj,
			position: start,
			icon: "http://webapi.amap.com/images/qd.png",
			offset: new AMap.Pixel(-15, -36)
		});



		var end = new AMap.LngLat(searchInfo.end_x, searchInfo.end_y);

		searchInfo.end_marker = new AMap.Marker({
			map: mapObj,
			position: end,
			icon: "http://webapi.amap.com/images/zd.png",
			offset: new AMap.Pixel(-15, -36)
		});

		mapObj.setFitView();
		route_content.push("<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" ><tr><td style=\"background:#e1e1e1;\">路线</td></tr><tr><td><img src=\"http://code.mapabc.com/images/start.gif\" />起点：" + searchInfo.start_name + "</td></tr>" + route_text + "<tr><td><img src=\"http://code.mapabc.com/images/end.gif\" />终点：" + searchInfo.end_name + "</td></tr></table>");

		resultStr = route_content.join("");

	} else if (data.status != E0) {
		resultStr = "没有找到搜索结果,请确保关键字是否正确。";
	}
	document.getElementById("content").innerHTML = resultStr;
}

function driveLineDrawFoldline(num, count) { //画线路并控制左边列表.num为第几条线路,count全部线路数. 

	var tr_id = "tr_" + num;

	document.getElementById(tr_id).style.background = '#efefef';

	var arr = new Array();
	var poi_xy_r = new Array();

	poi_xy_r = searchInfo.xy_array[num].split(";");
	for (var j = 0; j < poi_xy_r.length; j++) {
		var arr_lnglat = new Array();
		arr_lnglat = poi_xy_r[j].split(",");
		arr.push(new AMap.LngLat(arr_lnglat[0], arr_lnglat[1]));
	}
	if (!searchInfo.current_section) {
		searchInfo.current_section = new AMap.Polyline({
			map: mapObj,
			path: arr,
			strokeColor: "#F00",
			strokeOpacity: 0.8,
			strokeWeight: 4,
			strokeDasharray: [10, 5]
		});
	} else {
		searchInfo.current_section.setPath(arr);
	}
}

function driveLineDrawFoldline_click(num, count) { //画线路并控制左边列表.num为第几条线路,count全部线路数.  
	var tr_id = "tr_" + num;
	document.getElementById(tr_id).style.background = '#efefef';

	var arr = new Array();
	var poi_xy_r = new Array();

	poi_xy_r = searchInfo.xy_array[num].split(";");
	for (var j = 0; j < poi_xy_r.length; j++) {
		var arr_lnglat = new Array();
		arr_lnglat = poi_xy_r[j].split(",");
		arr.push(new AMap.LngLat(arr_lnglat[0], arr_lnglat[1]));
	}
	if (!searchInfo.current_section) {
		searchInfo.current_section = new AMap.Polyline({
			map: mapObj,
			path: arr,
			strokeColor: "#F00",
			strokeOpacity: 0.8,
			strokeWeight: 4,
			strokeDasharray: [10, 5]
		});
	} else {
		searchInfo.current_section.setPath(arr);
	}

	mapObj.setCenter(arr[parseInt(arr.length / 2)]);

}

function TipContents(type, address, tel) {
	if (type == "" || type == "undefined" || type == null || type == " undefined" || typeof type == "undefined") {
		type = "暂无";
	}
	if (address == "" || address == "undefined" || address == null || address == " undefined" || typeof address == "undefined") {
		address = "暂无";
	}
	if (tel == "" || tel == "undefined" || tel == null || tel == " undefined" || typeof address == "tel") {
		tel = "暂无";
	}
	var str = "<br />地址：" + address + "<br />电话：" + tel + " <br />类型：" + type;
	return str;
}

function Getdistance(le) {
	if (le <= 1000) {
		var s = le;
		return s + "米";
	} else {
		var s = Math.round(le / 1000);
		return "约" + s + "公里";
	}
}


function drawBuschangeLine(n) {
	mapObj.clearMap();
	
	var busxy = searchInfo.xy_array[n].split(";");
	var busxy_n = busxy.length - 2;
	var busCHxy = searchInfo.xy_c_array[n].split(";");
	var busCHxy_n = busCHxy.length - 1;

	var arrBus = new Array();
	for (var e = 0; e <= busxy_n; e++) {
		var xy = busxy[e].split(",");
		arrBus.push(new AMap.LngLat(xy[0], xy[1]));
	}
	var line = new AMap.Polyline({
		map:mapObj,
		path : arrBus, //线经纬度数组
		strokeColor : "#005cb5", //线颜色
		strokeOpacity : 0.8, //线透明度
		strokeWeight : 6 //线宽
	});
	
	/*换乘点之间的线*/

	if (busCHxy_n != 0) {
		var arrc = new Array();
		//alert(busS.xy_c_array[n]+"--"+busCHxy_n);
		for (var r = 0; r < 2; r++) {
			var xy = busCHxy[r].split(",");
			arrc.push(new AMap.LngLat(xy[0], xy[1]));
		}
		var changeline = new AMap.Polyline({
			path : arrc, //线经纬度数组
			strokeColor : "#6EB034", //线颜色
			strokeOpacity : 1, //线透明度
			strokeWeight : 6, //线宽
			map:mapObj
		});
		
		var arrc1 = new Array();
		if (busCHxy_n > 2) {
			for (var q = 2; q < 4; q++) {
				var xy = busCHxy[q].split(",");
				arrc1.push(new AMap.LngLat(xy[0], xy[1]));
			}
			var changeline1 = new AMap.Polyline({
				path : arrc1, //线经纬度数组
				strokeColor : "#6EB034", //线颜色
				strokeOpacity : 1, //线透明度
				strokeWeight : 6, //线宽
				//strokeStyle:"dashed", //线样式
				map:mapObj
			});
		}
	}
	/*换乘点*/
	var temp = "";
	for (var r = 0; r < busCHxy_n; r++) {
		var xy = busCHxy[r].split(",");
		var change = new AMap.LngLat(xy[0], xy[1]);
		var changetmarker = new AMap.Marker({
			icon : "http://webapi.amap.com/images/bx11.png", //复杂图标
			visible : true, //可见
			position : change,
			offset : {
				x : -27,
				y : -34
			},
			map:mapObj
		});
		changetmarker.id = searchInfo.start_pid + "-" + r;
		
	}
	/**/
	 /*1起点到线的起点 2线的终点到终点*/
	var arr1 = new Array();
	arr1.push(new AMap.LngLat(searchInfo.start_x, searchInfo.start_y));
	var linestartxy = busxy[0].split(",");
	arr1.push(new AMap.LngLat(linestartxy[0], linestartxy[1]));
	var line1 = new AMap.Polyline({
		path : arr1, //线经纬度数组
		strokeColor : "#6EB034", //线颜色
		strokeOpacity : 0.8, //线透明度
		strokeWeight : 6, //线宽
		map:mapObj
	});
	

	var arr2 = new Array();
	arr2.push(new AMap.LngLat(searchInfo.end_x, searchInfo.end_y));
	var lineendxy = busxy[busxy_n].split(",");
	arr2.push(new AMap.LngLat(lineendxy[0], lineendxy[1]));

	var line2 = new AMap.Polyline({
		path : arr2, //线经纬度数组
		strokeColor : "#6EB034", //线颜色
		strokeOpacity : 0.8, //线透明度
		strokeWeight : 6, //线宽
		map:mapObj
	});
	
	/**/
	 /*添加步行点*/
	var stepxy = busxy[0].split(",");
	var step = new AMap.LngLat(stepxy[0], stepxy[1]);
	var steptmarker = new AMap.Marker({
		icon : "http://webapi.amap.com/images/bx.png", //复杂图标
		visible : true, //可见
		position : step,
		map:mapObj,
		offset : {
			x : -27,
			y : -34
		}
	});
	

	var stepxy1 = busxy[busxy_n].split(",");
	var step1 = new AMap.LngLat(stepxy1[0], stepxy1[1]);
	var steptmarker1 = new AMap.Marker({
		icon : "http://webapi.amap.com/images/bx.png", //复杂图标
		visible : true, //可见
		position : step1,
		map:mapObj,
		offset : {
			x : -27,
			y : -34
		}
	});
	
	/*起点,终点*/
	var startmarker = new AMap.Marker({
		icon : "http://webapi.amap.com/images/qd.png", //复杂图标
		visible : true, //可见
		position : new AMap.LngLat(searchInfo.start_x, searchInfo.start_y),
		
		map:mapObj,
		offset : {
			x : -15,
			y : -15
		}
	});
	
	AMap.event.addListener(startmarker,'click',function(e){
		var infoWindowS = new AMap.InfoWindow({
		//TODO the busS start Info
			content : "<font color=\"#00a6ac\">&nbsp;&nbsp;"+ searchInfo.start_name +"</font>"+ TipContents(searchInfo.start_type, searchInfo.start_address, searchInfo.start_tel),
			size : new AMap.Size(300, 0), //设置信息窗口大小
			autoMove : true
		});
		infoWindowS.open(mapObj, startmarker.getPosition());
	});

	var endmarker = new AMap.Marker({
		icon : "http://webapi.amap.com/images/zd.png", //复杂图标
		visible : true, //可见
		position : new AMap.LngLat(searchInfo.end_x, searchInfo.end_y),
		map:mapObj,
		offset : {
			x : -15,
			y : -15
		}
	});
	
	AMap.event.addListener(endmarker,'click',function(e){
		var infoWindowE = new AMap.InfoWindow({
		//TODO the busS end Info
			content : "<font color=\"#00a6ac\">&nbsp;&nbsp;"+ searchInfo.end_name +"</font>"+ TipContents(searchInfo.end_type, searchInfo.end_address, searchInfo.end_tel),
			size : new AMap.Size(300, 0), //设置信息窗口大小
			autoMove : true
		});
		infoWindowE.open(mapObj, endmarker.getPosition());
	});
}